%global pypi_name boolean.py
%global pypi_version 4.0

Summary:        Define boolean algebras, create and parse boolean expressions and create custom boolean DSL
Name:           python-%{pypi_name}
Version:        %{pypi_version}
Release: 1%{?dist}

License:        BSD-2-Clause
URL:            https://github.com/bastikr/boolean.py
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(sphinx)

%description
This library helps you deal with boolean expressions and algebra with variables
and the boolean functions AND, OR, NOT.You can parse expressions from strings
and simplify and compare expressions. You can also easily create your custom
algreba and mini DSL and create custom tokenizers to handle custom
expressions.For extensive documentation look either into the docs directory or
view it online,...

%package -n     python3-%{pypi_name}
Summary:        %{summary}

%description -n python3-%{pypi_name}
This library helps you deal with boolean expressions and algebra with variables
and the boolean functions AND, OR, NOT.You can parse expressions from strings
and simplify and compare expressions. You can also easily create your custom
algreba and mini DSL and create custom tokenizers to handle custom
expressions.For extensive documentation look either into the docs directory or
view it online,...

%package -n python-%{pypi_name}-doc
Summary:        boolean.py documentation
%description -n python-%{pypi_name}-doc
Documentation for boolean.py

%prep
%autosetup -n %{pypi_name}-%{pypi_version}
rm -rf %{pypi_name}.egg-info

%build
%py3_build
PYTHONPATH=${PWD} sphinx-build-3 docs html
rm -rf html/.{doctrees,buildinfo}

%install
%py3_install

%check
%{__python3} setup.py test

%files -n python3-%{pypi_name}
%license LICENSE.txt
%doc README.rst
%{python3_sitelib}/boolean
%{python3_sitelib}/%{pypi_name}-%{pypi_version}-py%{python3_version}.egg-info

%files -n python-%{pypi_name}-doc
%doc html
%license LICENSE.txt

%changelog
* Thu Jun 20 2024 cunshunxia <cunshunxia@tencent.com> - 4.0-1
- initial build
